function kxy = mkkern(x,y)
%  function kxy = mkkern(x,y)
%
%  mkkern creates the matrix from the kernel fits.
%  given x and y, mkkern returns the value of the kernel
%  at (x,y).

global survpp growpp vgrowpp cut mkpp vkpp ksizpp vsizpp;
global lowval hival;
global grofit fecfit;
p1 = [];
f1 = [];
fmean2m = [];
pmean1 = [];

x = min(max(x,lowval),hival);
xsqr = x.^2;

% previous line projects back in to the range where I fit data

f3 = x>=cut;

%  evaluate the number of offspring part of the kernel
if fecfit(1) == 1,
	fmean1 = max(fnval(mkpp,x(1,:)),0);
	for i = 1:size(x,2),
		f1 = [f1; fmean1];
	end;
else,
	f1 = zeros(size(x));
	for i = 1:max(size(mkpp)),
	f1 = f1 + mkpp(i).*x.^(i-1);
	end;

end;

%  evaluate the offspring size part of the kernel
if fecfit(2) == 1,
	fmean2 = fnval(ksizpp,x(1,:));
	for i = 1:size(x,2),
	fmean2m = [fmean2m; fmean2];
	end

else,
	fmean2m = zeros(size(x));
	for i = 1:max(size(ksizpp)),
	fmean2m = fmean2m + ksizpp(i).*x.^(i-1);
	end;	
end;

fsig2m = [];
%  evaluate the offspring variance part of the kernel
if fecfit(3) == 1,
	fsig2 = sqrt(max(0.0001,fnval(vsizpp,x(1,:))));
	for i = 1:size(x,2),
		fsig2m = [fsig2m; fsig2];
	end
else,

	fsig2m = zeros(size(x));
	for i = 1:max(size(vsizpp)),
	fsig2m = fsig2m + vsizpp(i).*x.^(i-1);
	end;

	fsig2m = sqrt(max(0.00001,fsig2m));
end;

f2 = normpdf(y,fmean2m,fsig2m);


f1 = max(0,f1);
f2 = max(0,f2);
fxy = f1.*f2.*f3;

%  evaluate the survival part of the kernel
if grofit(1) == 1,
	ptemp = min(1,max(fnval(survpp,x(1,:)),0));
	for i =  1:size(x,2),
	p1 = [p1; ptemp];
	end;
else,
	p1 = zeros(size(x));
	for i = 1:max(size(survpp)),
	p1 = p1 + survpp(i).*x.^(i-1);
	end;	

end;

%  evaluate the mean growth part of the kernel
if grofit(2) == 1,

	tpmean1 = fnval(growpp,x(1,:));
	for i = 1:size(x,2),
	pmean1 = [pmean1; tpmean1];
	end;

else,
	pmean1 = zeros(size(x));
	for i = 1:max(size(growpp)),
	pmean1 = pmean1 + growpp(i).*x.^(i-1);
	end;

end;

%  evaluate the growth variance part of the kernel

psig1 = [];
if grofit(3) == 1,

	tpsig1 = sqrt(max(0.0001,fnval(vgrowpp,x(1,:))));
	for i = 1:size(x,2),
	psig1 = [psig1; tpsig1];
	end;

else,
	psig1 = zeros(size(x));
	for i = 1:max(size(vgrowpp)),
	psig1 = psig1 + vgrowpp(i).*x.^(i-1);
	end;
	psig1 = sqrt(max(0.000001, psig1));
end;


p2 = normpdf(y, pmean1, psig1);

p1 = max(0,p1);
p2 = max(0,p2);

pxy = p1 .* p2;

kxy = pxy + fxy;





