function [sens_kernel, elas_kernel] = sens(kernel,xvals)
%
%  the function returns the sensitivity and elasticity of
%  the kernel.  It will plot the eigenvectors, the sensitivity
%  and the elasticity.   Change from mesh to contour if you want
%  a contour plot instead of a surface plot.


[lambda, lammeth, eigfcns] = intlam(kernel);

figure
subplot(2,1,1)
plot(xvals, eigfcns(:,1)./sum(eigfcns(:,1)))
title('Stable Size Distribution')
xlabel('Size')
subplot(2,1,2)
plot(xvals, eigfcns(:,2)./eigfcns(1,2))
title('Reproductive Value')
xlabel('Size')

sens_kernel = eigfcns(:,2)*eigfcns(:,1)'./sum(eigfcns(:,1).*eigfcns(:,2));

[xx, yy] = meshgrid(xvals,xvals);

figure
mesh(xx,yy,sens_kernel)

elas_kernel = kernel.* sens_kernel/ lambda;
figure
mesh(xx,yy,elas_kernel)

